#
# spec file for package k4dirstat
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           k4dirstat
Version:        3.1.2
Release:        1.20
Summary:        Graphical Disk Usage Utility
License:        GPL-2.0 and LGPL-2.0
Group:          Productivity/File utilities
Url:            https://bitbucket.org/jeromerobert/k4dirstat/wiki/Home
Source0:        https://bitbucket.org/jeromerobert/k4dirstat/get/%{name}-%{version}.tar.bz2
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  kxmlgui-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     k4dirstat-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
K4DirStat (KDE Directory Statistics) is a small utility program that sums up
disk usage for directory trees, very much like the Unix 'du' command. It
displays the disk space used up by a directory tree, both numerically and
graphically.

%lang_package

%prep
%setup -q -n jeromerobert-k4dirstat-0b055582e48c

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

%if 0%{?suse_version}
%suse_update_desktop_file -r k4dirstat Qt KDE Utility Filesystem
%endif

%find_lang k4dirstat %{name}.lang

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* CREDITS TODO
%doc %lang(en) %{_kf5_htmldir}/en/k4dirstat
%{_kf5_applicationsdir}/k4dirstat.desktop
%{_kf5_bindir}/k4dirstat
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/k4dirstat.kcfg
%{_kf5_iconsdir}/hicolor/*/apps/k4dirstat.*
%{_kf5_mandir}/man1/k4dirstat.*

%files lang -f %{name}.lang
%defattr(-,root,root)
%exclude %{_kf5_htmldir}/en/k4dirstat

%changelog
* Sun Jan  8 2017 axel.braun@gmx.de
- make sure language packet gets installed as well
* Tue Nov 29 2016 wbauer@tmo.at
- Update to 3.1.2:
  * Detailed changelog not available.
* Sat Sep 19 2015 asterios.dramis@gmail.com
- Update to 3.1:
  * Package ported to KDE Framework 5.
  * Detailed changelog not available.
- Package ported to KF5. Updated build and runtime requirements to
  the KF5 ones.
* Tue Nov 11 2014 cgiboudeaux@gmx.com
- Replace k4dirstat with the fork by Jerome Robert
- Update to 2.7.8
* Fri Mar 25 2011 asterios.dramis@gmail.com
- Initial version (git.20101010)
